# eric4.Helpviewer.Network.QtHelpAccessHandler

Module implementing a scheme access handler for QtHelp.

### Global Attributes

ExtensionMap
QtDocPath

### Classes

QtHelpAccessHandler | Class implementing a scheme access handler for QtHelp.

### Functions

None

## QtHelpAccessHandler

Class implementing a scheme access handler for QtHelp.

### Derived from

SchemeAccessHandler

### Class Attributes

None

### Class Methods

None

### Methods

QtHelpAccessHandler | Constructor
__mimeFromUrl | Private method to guess the mime type given an URL.
createRequest | Protected method to create a request.

### Static Methods

None

#### QtHelpAccessHandler (Constructor)

QtHelpAccessHandler(engine, parent = None)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent object (QObject)

#### QtHelpAccessHandler.__mimeFromUrl

__mimeFromUrl(url)

Private method to guess the mime type given an URL.

url
  URL to guess the mime type from (QUrl)

#### QtHelpAccessHandler.createRequest

createRequest(op, request, outgoingData = None)

Protected method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

Up